ne_add_request_header
Prev | neon API reference | Next

## Name

ne_add_request_header, ne_print_request_header — add headers to a request

## Synopsis

    #include <ne_request.h>

``void ne_add_request_header(`ne_request *request, const char *name, const char *value`)`;`
``void ne_print_request_header(`ne_request *request, const char *name, const char *format, ...`)`;`

## Description

The functions `ne_add_request_header` and `ne_print_request_header` can be used to add headers to a request, before it is sent.

`ne_add_request_header` simply adds a header of given `name`, with given `value`.

`ne_print_request_header` adds a header of given `name`, taking the value from the `printf`-like `format` string parameter and subsequent variable-length argument list.

## See also

ne_request_create

Prev | Up | Next
neon-config | Home | ne_addr_resolve